7 Replies Latest reply on Nov 10, 2015 10:19 AM by Tiago Matias

    IllegalArgumentException when installing a warbundle on Fuse 6.2

    Tiago Matias Newbie

      When trying to add a WAR to a feature I always get this error:

      Provision Exception: java.lang.IllegalArgumentException: No path specified on clause: war:mvn:eu.my.intranet/my-hub-web/1.0.1/war?Web-ContextPath=xpto

      I used the following method:

       

      JBossFuse:admin@root> profile-edit -b war:mvn:eu.my.intranet/my-hub-web/1.0.1/war?Web-ContextPath=xpto my-web-profile

      Adding bundle:war:mvn:eu.my.intranet/my-hub-web/1.0.1/war?Web-ContextPath=xpto to profile:my-web-profile version:1.0

       

      However, if I instead drag and drop the WAR as built by maven onto the webconsole (hawtio) no error occurs although i cannot access the web application (404 error)


      JBossFuse:admin@root> container-info  my-web-container

      Name:                          my-web-container

      Version:                      1.0

      Connected:                    true

      Type:                          karaf

      Root:                          false

      Ensemble Server:              false

      Managed:                      true

      Process ID:                    4320

      Resolver:                      localhostname

      Network Address:              DESKTOP-JRFU5KR

      Local Network Address:        192.168.1.122

      Public Network Address:

      Local Hostname:                DESKTOP-JRFU5KR

      Public Hostname:

      SSH Url:                      DESKTOP-JRFU5KR:8102

      JMX Url:                      service:jmx:rmi://DESKTOP-JRFU5KR:44445/jndi/rmi://DESKTOP-JRFU5KR:1100/karaf-my-web-container

      Http Url:                      http://DESKTOP-JRFU5KR:8182

      Jolokia Url:                  http://DESKTOP-JRFU5KR:8182/jolokia

      Blueprint Status:              started

      Provision Status:              success

       

       

      JBossFuse:admin@root> profile-display  my-web-profile

      Profile id: my-web-profile

      Version  : 1.0

      Attributes:

              abstract: false

              parents: my-base-profile

      Containers: my-web-container

       

      Container settings

      ----------------------------

      Features :

              war

              my-web-feature

       

      Bundles :

              mvn:eu.my.intranet/my-hub-web/1.0.1-SNAPSHOT/war

       

      Agent Properties :

                lastRefresh.my-web-profile = 1446250595660

       

       

      Configuration details

      ----------------------------

       

      Other resources

      ----------------------------

      Resource: dependencies/requirements.json

       

       

       

      Checking the target container, the application appears to "be there"

       

      JBossFuse:admin@root> container-connect  my-web-container Connected(..)JBossFuse:admin@my-web-container> web:list   ID  State        Web-State      Level  Web-ContextPath          Name [ 196] [Active    ] [Deployed  ]  [  80] [/xpto          ] My web application (1.0.1.SNAPSHOT)

       

      but I then get these errors on the child container log.

       

      java.lang.NoClassDefFoundError: javax/servlet/ServletContextListener java.lang.NoClassDefFoundError: javax/servlet/Filter java.lang.NoClassDefFoundError: javax/servlet/http/HttpServlet

       

      So the Servlet API is missing. I don't know that to add more to the profiles to enable it (besides the war feature). Here's my POM of the web application (it's a spring+hibernate application and works with wildfly without problems).

       

      Can someone point me to the right direction? I feel that this must be an obvious solution that I'm not seeing

       

      I'm sorry for the lengthy paste. I simplified most of the dependencies and eclipse's build plugins

       

        • 1. Re: IllegalArgumentException when installing a warbundle on Fuse 6.2
          Tiago Matias Newbie

          I'm sorry. I've just spent 30 minutes trying to format my post. It is correct in edit mode but when I save the content it appears unformatted. I give up.

          • 2. Re: IllegalArgumentException when installing a warbundle on Fuse 6.2
            Jay SenSharma Master
            java.lang.NoClassDefFoundError: javax/servlet/ServletContextListener java.lang.NoClassDefFoundError: javax/servlet/Filter java.lang.NoClassDefFoundError: javax/servlet/http/HttpServlet
            

             

             

            The above error indicates that you might not have used the " javax.servlet," import package instructions as following:

            <Import-Package>
                      javax.servlet,
                      javax.servlet.http,
                      *;resolution:=optional
            </Import-Package>
            
            
            

             

            Can you try the same as following by adding the following kind of entry in your "pom.xml" of your WAR project.

            XML Snippet
            
            
            
              <plugin>
                   <groupId>org.apache.felix</groupId>
                   <artifactId>maven-bundle-plugin</artifactId>
                   <version>2.3.4</version>
                   <executions>
                        <execution>
                             <id>bundle-manifest</id>
                             <phase>process-classes</phase>
                             <goals>
                                  <goal>manifest</goal>
                             </goals>
                        </execution>
                   </executions>
                   <configuration>          
                        <supportedProjectTypes>
                             <supportedProjectType>jar</supportedProjectType>
                             <supportedProjectType>bundle</supportedProjectType>
                             <supportedProjectType>war</supportedProjectType>
                        </supportedProjectTypes>
                        <instructions>
                            <Import-Package>    <!-- NOTICE the import package section -->
                                  javax.servlet,
                                  javax.servlet.http,
                                  *;resolution:=optional
                             </Import-Package>
                             <Bundle-ClassPath>.,WEB-INF/classes,{maven-dependencies}</Bundle-ClassPath>
                             <Embed-Directory>WEB-INF/lib</Embed-Directory>
                             <Embed-Dependency>
                                       *;scope=compile|runtime;groupId=!org.slf4j|log4j
                             </Embed-Dependency>
                             <Embed-Transitive>true</Embed-Transitive>
                        </instructions>
                   </configuration>
              </plugin>
            
            
            
            • 3. Re: IllegalArgumentException when installing a warbundle on Fuse 6.2
              Tiago Matias Newbie

              Thank you! I added those entries and solved the "javax.servlet missing" problem. However I got this WARN when starting the bundle:

               

              
              
              
              015-11-01 13:56:45,547 | WARN  | pool-1-thread-2  | AbstractLifeCycle        
              | 176 - org.eclipse.jetty.aggregate.jetty-all-server - 8.1.17.v20150415 | FAILED HttpServiceContext{httpContext=WebAppHttpContext{eu.my.intranet.my-hub-web - 201}}: javax.xml.parsers.FactoryConfigurationError: Provider for javax.xml.parsers.DocumentBuilderFactory cannot be found
              
              
              
              javax.xml.parsers.FactoryConfigurationError: Provider for javax.xml.parsers.DocumentBuilderFactory cannot be found
                  at javax.xml.parsers.DocumentBuilderFactory.newInstance(Unknown Source)[:2.5.0]
                  at org.apache.log4j.xml.DOMConfigurator.doConfigure(DOMConfigurator.java:854)[3:org.ops4j.pax.logging.pax-logging-service:1.8.2]
                  at org.apache.log4j.xml.DOMConfigurator.doConfigure(DOMConfigurator.java:778)[3:org.ops4j.pax.logging.pax-logging-service:1.8.2]
                  at org.apache.log4j.helpers.OptionConverter.selectAndConfigure(OptionConverter.java:526)[3:org.ops4j.pax.logging.pax-logging-service:1.8.2]
                  at org.apache.log4j.LogManager.<clinit>(LogManager.java:127)[3:org.ops4j.pax.logging.pax-logging-service:1.8.2]
                  at org.slf4j.impl.Log4jLoggerFactory.getLogger(Log4jLoggerFactory.java:63)
                  at org.slf4j.LoggerFactory.getLogger(LoggerFactory.java:284)
                  at org.apache.commons.logging.impl.SLF4JLogFactory.getInstance(SLF4JLogFactory.java:155)
                  at org.apache.commons.logging.impl.SLF4JLogFactory.getInstance(SLF4JLogFactory.java:132)
                  at org.apache.commons.logging.LogFactory.getLog(LogFactory.java:657)
                  at org.springframework.web.context.ContextLoader.initWebApplicationContext(ContextLoader.java:304)
                  at org.springframework.web.context.ContextLoaderListener.contextInitialized(ContextLoaderListener.java:107)
                  at org.eclipse.jetty.server.handler.ContextHandler.callContextInitialized(ContextHandler.java:782)
                  at org.eclipse.jetty.servlet.ServletContextHandler.callContextInitialized(ServletContextHandler.java:424)
              
              
              

               

              My maven-bundle-plugin POM config:

               

              <plugin>
                  <groupId>org.apache.felix</groupId>
                  <artifactId>maven-bundle-plugin</artifactId>
                  <version>3.0.0</version>
                          <executions>
                              <execution>
                                  <id>bundle-manifest</id>
                                  <phase>process-classes</phase>
                                  <goals>
                                      <goal>manifest</goal>
                                  </goals>
                              </execution>
                          </executions>
                          <configuration>
                              <supportedProjectTypes>
                                  <supportedProjectType>jar</supportedProjectType>
                                  <supportedProjectType>bundle</supportedProjectType>
                                  <supportedProjectType>war</supportedProjectType>
                                </supportedProjectTypes>
                              <instructions>
                                  <Bundle-ClassPath>.,WEB-INF/classes,{maven-dependencies}</Bundle-ClassPath>
                                  <Embed-Directory>WEB-INF/lib</Embed-Directory>
                                  <Import-Package>
                                      javax.servlet,
                                      javax.servlet.http,
                                      org.apache.log4j,
                                      *;resolution:=optional
                                  </Import-Package>
                              
                                  <Web-ContextPath>/xpto</Web-ContextPath>
                                  <Bundle-Version>${project.version}</Bundle-Version>
                                  <_include>-osgi.bnd</_include>
                                  <Embed-Dependency>*</Embed-Dependency>
                                  <Embed-Transitive>true</Embed-Transitive>
                              </instructions>
                  </configuration>
              </plugin>
              
              
              

               

              In regards to Logging, I have on the very same pom the following bits:

               

              <!-- Logging -->

              <dependency>

                  <groupId>org.slf4j</groupId>

                  <artifactId>jcl-over-slf4j</artifactId>

                  <version>${org.slf4j-version}</version>

              </dependency>

              <dependency>

                  <groupId>org.slf4j</groupId>

                  <artifactId>slf4j-api</artifactId>

                  <version>${org.slf4j-version}</version>

              </dependency>

              <dependency>

                  <groupId>org.slf4j</groupId>

                  <artifactId>slf4j-log4j12</artifactId>

                  <version>${org.slf4j-version}</version>

              </dependency>

              <dependency>

                  <groupId>log4j</groupId>

                  <artifactId>log4j</artifactId>

                  <version>1.2.17</version>

              </dependency>

               

              Can you help?

               

              (I'm marking your previous answer as correct since it solved the original problem)

              • 4. Re: IllegalArgumentException when installing a warbundle on Fuse 6.2
                Jay SenSharma Master

                Looks like some of your pom.xml dependency declarations might be causing this issue.

                If possible, can you please post your complete pom.xml ?

                • 5. Re: IllegalArgumentException when installing a warbundle on Fuse 6.2
                  Tiago Matias Newbie

                  Of course! Thanks for the help:

                   

                  <?xml version="1.0" encoding="UTF-8"?>
                  <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                      xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
                      <modelVersion>4.0.0</modelVersion>
                      <groupId>eu.my.intranet</groupId>
                      <artifactId>my-hub-web</artifactId>
                      <name>My App</name>
                      <packaging>war</packaging>
                      <version>1.0.1-SNAPSHOT</version>
                      <properties>
                          <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
                          <org.springframework-version>4.2.1.RELEASE</org.springframework-version>
                          <org.aspectj-version>1.8.7</org.aspectj-version>
                          <org.slf4j-version>1.7.12</org.slf4j-version>
                          <hibernate.version>5.0.1.Final</hibernate.version>
                          <spring.security.version>4.0.2.RELEASE</spring.security.version>
                          <com.fasterxml.jackson.version>2.6.1</com.fasterxml.jackson.version>
                      </properties>
                      <dependencies>
                          <!-- Joda-Time -->
                          <dependency>
                              <groupId>joda-time</groupId>
                              <artifactId>joda-time</artifactId>
                              <version>2.8.2</version>
                          </dependency>
                  
                          <!-- Spring -->
                          <dependency>
                              <groupId>org.springframework</groupId>
                              <artifactId>spring-context</artifactId>
                              <version>${org.springframework-version}</version>
                              <exclusions>
                                  <!-- Exclude Commons Logging in favor of SLF4j -->
                                  <exclusion>
                                      <groupId>commons-logging</groupId>
                                      <artifactId>commons-logging</artifactId>
                                  </exclusion>
                              </exclusions>
                          </dependency>
                          <dependency>
                              <groupId>org.springframework</groupId>
                              <artifactId>spring-tx</artifactId>
                              <version>${org.springframework-version}</version>
                          </dependency>
                          <dependency>
                              <groupId>org.springframework</groupId>
                              <artifactId>spring-orm</artifactId>
                              <version>${org.springframework-version}</version>
                          </dependency>
                          <dependency>
                              <groupId>org.springframework</groupId>
                              <artifactId>spring-webmvc</artifactId>
                              <version>${org.springframework-version}</version>
                          </dependency>
                  
                          <!-- Faster XML -->
                          <dependency>
                              <groupId>com.fasterxml.jackson.core</groupId>
                              <artifactId>jackson-core</artifactId>
                              <version>${com.fasterxml.jackson.version}</version>
                          </dependency>
                          <dependency>
                              <groupId>com.fasterxml.jackson.core</groupId>
                              <artifactId>jackson-databind</artifactId>
                              <version>${com.fasterxml.jackson.version}</version>
                          </dependency>
                  
                          <dependency>
                              <groupId>com.fasterxml.jackson.jaxrs</groupId>
                              <artifactId>jackson-jaxrs-json-provider</artifactId>
                              <version>${com.fasterxml.jackson.version}</version>
                          </dependency>
                          <dependency>
                              <groupId>com.fasterxml.jackson.datatype</groupId>
                              <artifactId>jackson-datatype-hibernate4</artifactId>
                              <version>${com.fasterxml.jackson.version}</version>
                          </dependency>
                  
                          <dependency>
                              <groupId>org.springframework.ws</groupId>
                              <artifactId>spring-ws-core</artifactId>
                              <version>2.2.2.RELEASE</version>
                          </dependency>
                  
                          <dependency>
                              <groupId>wsdl4j</groupId>
                              <artifactId>wsdl4j</artifactId>
                              <version>1.6.3</version>
                          </dependency>
                  
                  
                          <!-- Spring Security -->
                          <dependency>
                              <groupId>org.springframework.security</groupId>
                              <artifactId>spring-security-web</artifactId>
                              <version>${spring.security.version}</version>
                          </dependency>
                          <dependency>
                              <groupId>org.springframework.security</groupId>
                              <artifactId>spring-security-config</artifactId>
                              <version>${spring.security.version}</version>
                          </dependency>
                          <dependency>
                              <groupId>org.springframework.security</groupId>
                              <artifactId>spring-security-ldap</artifactId>
                              <version>${spring.security.version}</version>
                          </dependency>
                  
                          <dependency>
                              <groupId>org.apache.directory.server</groupId>
                              <artifactId>apacheds-server-jndi</artifactId>
                              <version>1.5.5</version>
                          </dependency>
                  
                  
                          <!-- Hibernate -->
                          <dependency>
                              <groupId>org.hibernate</groupId>
                              <artifactId>hibernate-entitymanager</artifactId>
                              <version>${hibernate.version}</version>
                  
                              <exclusions>
                                  <!-- Exclude Commons Logging in favor of SLF4j -->
                                  <exclusion>
                                      <groupId>org.jboss.logging</groupId>
                                      <artifactId>jboss-logging</artifactId>
                                  </exclusion>
                              </exclusions>
                          </dependency>
                          <dependency>
                              <groupId>org.hibernate</groupId>
                              <artifactId>hibernate-core</artifactId>
                              <version>${hibernate.version}</version>
                  
                              <exclusions>
                                  <!-- Exclude Commons Logging in favor of SLF4j -->
                                  <exclusion>
                                      <groupId>org.jboss.logging</groupId>
                                      <artifactId>jboss-logging</artifactId>
                                  </exclusion>
                              </exclusions>
                          </dependency>
                          <dependency>
                              <groupId>org.hibernate</groupId>
                              <artifactId>hibernate-validator</artifactId>
                              <version>5.2.1.Final</version>
                              <exclusions>
                                  <!-- Exclude Commons Logging in favor of SLF4j -->
                                  <exclusion>
                                      <groupId>org.jboss.logging</groupId>
                                      <artifactId>jboss-logging</artifactId>
                                  </exclusion>
                              </exclusions>
                          </dependency>
                  
                  
                          <!-- MySQL -->
                          <dependency>
                              <groupId>mysql</groupId>
                              <artifactId>mysql-connector-java</artifactId>
                              <version>5.1.36</version>
                          </dependency>
                  
                  
                          <!-- AspectJ -->
                          <dependency>
                              <groupId>org.aspectj</groupId>
                              <artifactId>aspectjrt</artifactId>
                              <version>${org.aspectj-version}</version>
                          </dependency>
                  
                  
                  
                          <!-- @Inject -->
                          <dependency>
                              <groupId>javax.inject</groupId>
                              <artifactId>javax.inject</artifactId>
                              <version>1</version>
                          </dependency>
                  
                          <!-- Servlet -->
                          <dependency>
                              <groupId>javax.servlet</groupId>
                              <artifactId>servlet-api</artifactId>
                              <version>2.5</version>
                              <scope>provided</scope>
                          </dependency>
                          <dependency>
                              <groupId>javax.servlet.jsp</groupId>
                              <artifactId>jsp-api</artifactId>
                              <version>2.1</version>
                              <scope>provided</scope>
                          </dependency>
                          <dependency>
                              <groupId>javax.servlet</groupId>
                              <artifactId>jstl</artifactId>
                              <version>1.2</version>
                          </dependency>
                  
                          <dependency>
                              <groupId>junit</groupId>
                              <artifactId>junit</artifactId>
                              <version>4.7</version>
                              <scope>test</scope>
                          </dependency>
                  
                          <dependency>
                              <groupId>org.sitemesh</groupId>
                              <artifactId>sitemesh</artifactId>
                              <version>3.0.1</version>
                          </dependency>
                  
                          <!-- Logging -->
                          <dependency>
                              <groupId>org.slf4j</groupId>
                              <artifactId>jcl-over-slf4j</artifactId>
                              <version>${org.slf4j-version}</version>
                          </dependency>
                          <dependency>
                              <groupId>org.slf4j</groupId>
                              <artifactId>slf4j-api</artifactId>
                              <version>${org.slf4j-version}</version>
                          </dependency>
                          <dependency>
                              <groupId>org.slf4j</groupId>
                              <artifactId>slf4j-log4j12</artifactId>
                              <version>${org.slf4j-version}</version>
                          </dependency>
                          <dependency>
                              <groupId>log4j</groupId>
                              <artifactId>log4j</artifactId>
                              <version>1.2.17</version>
                          </dependency>
                  
                          <!-- ActiveMQ -->
                          <dependency>
                              <groupId>org.springframework</groupId>
                              <artifactId>spring-jms</artifactId>
                              <version>${org.springframework-version}</version>
                          </dependency>
                          <dependency>
                              <groupId>org.apache.activemq</groupId>
                              <artifactId>activemq-spring</artifactId>
                              <version>5.12.0</version>
                          </dependency>
                          <dependency>
                              <groupId>eu.my.intranet</groupId>
                              <artifactId>fh-hub-core</artifactId>
                              <version>1.0.1-SNAPSHOT</version>
                          </dependency>
                      </dependencies>
                      <build>
                          <plugins>
                              <plugin>
                                  <groupId>org.eclipse.jetty</groupId>
                                  <artifactId>jetty-maven-plugin</artifactId>
                                  <version>9.0.6.v20130930</version>
                                  <configuration>
                                      <webApp>
                                          <contextPath>/xpto</contextPath>
                                      </webApp>
                                      <httpConnector>
                                          <port>8080</port>
                                          <host>localhost</host>
                                      </httpConnector>
                                      <scanIntervalSeconds>10</scanIntervalSeconds>
                                  </configuration>
                              </plugin>
                              <plugin>
                                  <artifactId>maven-eclipse-plugin</artifactId>
                                  <version>2.9</version>
                                  <configuration>
                                      <additionalProjectnatures>
                                          <projectnature>org.springframework.ide.eclipse.core.springnature</projectnature>
                                      </additionalProjectnatures>
                                      <additionalBuildcommands>
                                          <buildcommand>org.springframework.ide.eclipse.core.springbuilder</buildcommand>
                                      </additionalBuildcommands>
                                      <downloadSources>true</downloadSources>
                                      <downloadJavadocs>true</downloadJavadocs>
                                  </configuration>
                              </plugin>
                              <plugin>
                                  <groupId>org.apache.maven.plugins</groupId>
                                  <artifactId>maven-compiler-plugin</artifactId>
                                  <version>2.5.1</version>
                                  <configuration>
                                      <source>1.8</source>
                                      <target>1.8</target>
                                      <compilerArgument>-Xlint:all</compilerArgument>
                                      <showWarnings>true</showWarnings>
                                      <showDeprecation>true</showDeprecation>
                                  </configuration>
                              </plugin>
                              <plugin>
                                  <groupId>org.codehaus.mojo</groupId>
                                  <artifactId>exec-maven-plugin</artifactId>
                                  <version>1.2.1</version>
                                  <configuration>
                                      <mainClass>org.test.int1.Main</mainClass>
                                  </configuration>
                              </plugin>
                              <plugin>
                                      <groupId>org.apache.maven.plugins</groupId>
                                      <artifactId>maven-war-plugin</artifactId>
                                      <version>2.1.1</version>
                                      <configuration>
                                          <archive>
                                              <manifestFile>${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
                                              </archive>
                                          <webXml>src/main/webapp/WEB-INF/web.xml</webXml>
                                          <webResources>
                                              <resource>
                                                  <directory>src/main/resources</directory>
                                                  <targetPath>WEB-INF</targetPath>
                                                  <includes>
                                                      <include>**/*</include>
                                                  </includes>
                                              </resource>
                                          </webResources>
                                      </configuration>
                              </plugin>
                  
                              <plugin>
                                  <groupId>org.apache.felix</groupId>
                                  <artifactId>maven-bundle-plugin</artifactId>
                                  <version>3.0.0</version>
                                          <executions>
                                              <execution>
                                                  <id>bundle-manifest</id>
                                                  <phase>process-classes</phase>
                                                  <goals>
                                                      <goal>manifest</goal>
                                                  </goals>
                                              </execution>
                                          </executions>
                                          <configuration>
                                              <supportedProjectTypes>
                                                  <supportedProjectType>jar</supportedProjectType>
                                                  <supportedProjectType>bundle</supportedProjectType>
                                                  <supportedProjectType>war</supportedProjectType>
                                              </supportedProjectTypes>
                                              <instructions>
                                                  <Bundle-ClassPath>.,WEB-INF/classes,{maven-dependencies}</Bundle-ClassPath>
                                                  <Embed-Directory>WEB-INF/lib</Embed-Directory>
                                                  <Import-Package>
                  
                                                      javax.servlet,
                                                      javax.servlet.http,
                                                      org.apache.log4j,
                                                      javax.xml.parsers,
                                                      !xml-apis,
                                                      *;resolution:=optional  
                                                  </Import-Package>
                                                  
                                                  <Web-ContextPath>/xpto</Web-ContextPath>
                                                  <Bundle-Version>${project.version}</Bundle-Version>
                                                  <_include>-osgi.bnd</_include>
                                                  <Embed-Dependency>*</Embed-Dependency>
                                                  <Embed-Transitive>true</Embed-Transitive>
                                              </instructions>
                                  </configuration>
                                  </plugin>
                  
                          </plugins>
                          <pluginManagement>
                              <plugins>
                                  <!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
                                  <plugin>
                                      <groupId>org.eclipse.m2e</groupId>
                                      <artifactId>lifecycle-mapping</artifactId>
                                      <version>1.0.0</version>
                                      <configuration>
                                          <lifecycleMappingMetadata>
                                              <pluginExecutions>
                                                  <pluginExecution>
                                                      <pluginExecutionFilter>
                                                          <groupId>
                                                              org.apache.felix
                                                          </groupId>
                                                          <artifactId>
                                                              maven-bundle-plugin
                                                          </artifactId>
                                                          <version>3.0.0</version>
                                                          <versionRange>
                                                              [3.0.0,)
                                                          </versionRange>
                                                          <goals>
                                                              <goal>manifest</goal>
                                                          </goals>
                                                      </pluginExecutionFilter>
                                                      <action>
                                                          <ignore></ignore>
                                                      </action>
                                                  </pluginExecution>
                                              </pluginExecutions>
                                          </lifecycleMappingMetadata>
                                      </configuration>
                                  </plugin>
                              </plugins>
                          </pluginManagement>
                      </build>
                  </project>
                  
                  • 6. Re: IllegalArgumentException when installing a warbundle on Fuse 6.2
                    Jay SenSharma Master

                    Not sure but just a thought:

                     

                    From your Hibernate can you try excluding the "xml-api" dependency as following and then try again:

                     

                            <dependency> 
                                <groupId>org.hibernate</groupId> 
                                <artifactId>hibernate-validator</artifactId> 
                                <version>5.2.1.Final</version> 
                                <exclusions> 
                                    <!-- Exclude Commons Logging in favor of SLF4j --> 
                                    <exclusion> 
                                        <groupId>org.jboss.logging</groupId> 
                                        <artifactId>jboss-logging</artifactId> 
                                    </exclusion> 
                                    <exclusion>  <!-- Try this exclusion -->
                                        <groupId>xml-apis</groupId>
                                        <artifactId>xml-apis</artifactId>
                                    </exclusion>   
                                </exclusions> 
                            </dependency> 
                    
                    • 7. Re: IllegalArgumentException when installing a warbundle on Fuse 6.2
                      Tiago Matias Newbie

                      Thank you! Your suggestion did solve that particular problem. I still didn't manage to deploy the war tough.

                       

                      I'm still strugling with other classpath exceptions so I'll try to sort those myself by manipulating the POM.